Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.imageio.metadata
Class IIOInvalidTreeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--javax.imageio.IIOException
                              |
                              +--javax.imageio.metadata.IIOInvalidTreeException

All Implemented Interfaces:
  Serializable

public class IIOInvalidTreeException
extends IIOException

An `IIOInvalidTreeException` is thrown when an attempt by an `IIOMetadata` object to parse a tree of `IIOMetadataNode`s fails. The node that led to the parsing error may be stored. As with any parsing error, the actual error may occur at a different point that that where it is detected. The node returned by `getOffendingNode` should merely be considered as a clue to the actual nature of the problem.

See Also:
  `IIOMetadata.setFromTree(java.lang.String, org.w3c.dom.Node)`, `IIOMetadata.mergeTree(java.lang.String, org.w3c.dom.Node)`, `IIOMetadataNode`, Serialized Form

Field Summary
`protected Node` | `offendingNode` The `Node` that led to the parsing error, or `null`.

Constructor Summary
`IIOInvalidTreeException(String message, Node offendingNode)` Constructs an `IIOInvalidTreeException` with a message string and a reference to the `Node` that caused the parsing error.
`IIOInvalidTreeException(String message, Throwable cause, Node offendingNode)` Constructs an `IIOInvalidTreeException` with a message string, a reference to an exception that caused this exception, and a reference to the `Node` that caused the parsing error.

Method Summary
`Node` | `getOffendingNode()` Returns the `Node` that caused the error in parsing.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### offendingNode

    protected Node offendingNode

  The `Node` that led to the parsing error, or `null`.

Constructor Detail

### IIOInvalidTreeException

    public IIOInvalidTreeException(String message,
                                   Node offendingNode)

  Constructs an `IIOInvalidTreeException` with a message string and a reference to the `Node` that caused the parsing error.

Parameters:
  `message` - a `String` containing the reason for the parsing failure.
  `offendingNode` - the DOM `Node` that caused the exception, or `null`.

### IIOInvalidTreeException

    public IIOInvalidTreeException(String message,
                                   Throwable cause,
                                   Node offendingNode)

  Constructs an `IIOInvalidTreeException` with a message string, a reference to an exception that caused this exception, and a reference to the `Node` that caused the parsing error.

Parameters:
  `message` - a `String` containing the reason for the parsing failure.
  `cause` - the `Throwable` (`Error` or `Exception`) that caused this exception to occur, or `null`.
  `offendingNode` - the DOM `Node` that caused the exception, or `null`.

Method Detail

### getOffendingNode

    public Node getOffendingNode()

  Returns the `Node` that caused the error in parsing.

  Returns:
    the offending `Node`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.